Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreHandler

Provides the logic necessary to extract, validate and handle OpenID Connect requests.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreHandler

##### Implements

IAuthenticationRequestHandler

###### Namespace: OpenIddict.Validation.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationAspNetCoreHandler : AuthenticationHandler<OpenIddictValidationAspNetCoreOptions>, IAuthenticationRequestHandler

### Constructors

#### OpenIddictValidationAspNetCoreHandler(IOpenIddictValidationDispatcher, IOpenIddictValidationFactory, IOptionsMonitor<OpenIddictValidationAspNetCoreOptions>, ILoggerFactory, UrlEncoder, ISystemClock)

Creates a new instance of the OpenIddictValidationAspNetCoreHandler class.

##### Declaration

    public OpenIddictValidationAspNetCoreHandler(IOpenIddictValidationDispatcher dispatcher, IOpenIddictValidationFactory factory, IOptionsMonitor<OpenIddictValidationAspNetCoreOptions> options, ILoggerFactory logger, UrlEncoder encoder, ISystemClock clock)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictValidationDispatcher | dispatcher |
IOpenIddictValidationFactory | factory |
IOptionsMonitor<OpenIddictValidationAspNetCoreOptions> | options |
ILoggerFactory | logger |
UrlEncoder | encoder |
ISystemClock | clock |

### Methods

#### HandleAuthenticateAsync()

##### Declaration

    protected override Task<AuthenticateResult> HandleAuthenticateAsync()

##### Returns

Type | Description
--- | ---
Task<AuthenticateResult> |

#### HandleChallengeAsync(Nullable<AuthenticationProperties>)

##### Declaration

    protected override Task HandleChallengeAsync(AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

#### HandleForbiddenAsync(Nullable<AuthenticationProperties>)

##### Declaration

    protected override Task HandleForbiddenAsync(AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

#### HandleRequestAsync()

##### Declaration

    public Task<bool> HandleRequestAsync()

##### Returns

Type | Description
--- | ---
Task<System.Boolean> |

### Implements

IAuthenticationRequestHandler